import request from '@/utils/request'
import { AxiosPromise } from 'axios'

// apiUrl
const api = {
	pagePendingClaim: '/v1/process-task/page-pending-claim',
	pagePendingApproval: '/v1/process-task/page-pending-approval',
	pageMyReceived: '/v1/process-task/page-my-received',
	pageMyApplication: '/v1/process-task/page-my-application',
	pageApproved: '/v1/process-task/page-approved'
}

// 待认领任务分页列表
export function processTaskPagePendingClaimApi(data: any): AxiosPromise {
	return request({
		url: api.pagePendingClaim,
		method: 'post',
		data
	})
}

// 待审批任务分页列表
export function processTaskPagePendingApprovalApi(data: any): AxiosPromise {
	return request({
		url: api.pagePendingApproval,
		method: 'post',
		data
	})
}

// 我收到的任务分页列表
export function processTaskPageMyReceivedApi(data: any): AxiosPromise {
	return request({
		url: api.pageMyReceived,
		method: 'post',
		data
	})
}

// 我的申请任务分页列表
export function processTaskPageMyApplicationApi(data: any): AxiosPromise {
	return request({
		url: api.pageMyApplication,
		method: 'post',
		data
	})
}

// 已审批任务分页列表
export function processTaskPageApprovedApi(data: any): AxiosPromise {
	return request({
		url: api.pageApproved,
		method: 'post',
		data
	})
}

export default {
	processTaskPageMyApplicationApi,
	processTaskPageApprovedApi
}
